/* CSS Document */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    font-family: Helvetica, Arial, "sans-serif";
    font-size: 20px;
    line-height: 24px;
	background-color: #f4fcd2;
}
#wrapper{
    display: grid;
    grid-template-rows: auto 1fr;
    min-height: 100vh;
    max-width: 100%;
    margin: 0 auto;
    padding: 20px;
}
.header{
    padding: 1rem;
}
.shapes{
	margin-bottom: 1rem;
}
.shapes a{
	display: flex;
	gap: 4px;
}
.shapes a > *{
	max-height: 100px;
}
h1{
    font-size: 2rem;
    line-height: 2rem;
}
@media (min-width:1000px){
	form{
		position: relative;
		display: grid;
		grid-template-columns: 2fr 1fr;
		grid-template-rows: 1fr auto;
		gap: 2rem;
	}
	form .output{
		grid-column: 2;
		grid-row: 1;
	}
	form input{
		grid-column: 2;
		grid-row: 2;
	}
	form textarea{
		grid-column: 1;
		grid-row: 1 / 3;
	}
}
textarea{
    min-height: 200px;
    background-color: rgba(0,0,0,.1);
	border-radius: 1rem;
    border: 3px solid #111;
    resize: vertical;
    width: 100%;
    padding: 20px 30px;

	font-family: monospace;
    font-size: .85rem !important;
    line-height: 1.35 !important;

	transition: .25s ease-out all;
}
textarea:focus{
    outline: none;
    background-color: rgba(0,0,0,.2);
}
input[type=submit]{
    display: block;
    width: 100%;
    background-color: #222;
    color: white;
    text-transform: uppercase;
    font-size: 1.2rem;
    line-height: 2rem;
    font-weight: bold;
    padding: 20px 30px;
    border: none;
    cursor: pointer;
    border-radius: 0 0 4px 4px;
    margin-top: 5px;
}
input[type=submit]:hover{
    opacity: .9;
}
input[type=submit]:active{
    opacity: .8;
}
.processing-stats{
    background-color: #111111;
	color: #f4fcd2;
    border-radius: 1rem;
    padding: 1.2rem;
    font-size: 1rem;
	line-height: 1.5;
    margin-bottom: 2rem;
}
#preview {
    margin: 0;
    padding: 2rem;
    background: #fff;
    border: 3px dashed #111111;
    border-radius: 1rem;
    min-height: 200px;
	max-height: 50svh;
    text-align: center;
}
